<?php
namespace ModulesAbstract\ElectronicInvoice\UBL30Exporter;

class Invoice extends ExporterAbstract
{

	/**
	 * {@inheritDoc}
	 * @see \ModulesAbstract\ElectronicInvoice\UBL30Exporter\ExporterAbstract::generate()
	 */
	public function generate()
	{
		$xml = new \Engine\SimpleXmlElement(<<<XML
<?xml version="1.0" encoding="UTF-8"?>
<Invoice
	xmlns:cac="{$this->namespaces['cac']}"
	xmlns:cbc="{$this->namespaces['cbc']}"
	xmlns="{$this->namespaces['root']}"
></Invoice>
XML
		);

		// there is no need to assign it back at this point
		$this->generateObjectTag($xml, $this->peppolStructure);

		return $xml;
	}

}
